#include <iostream>
#include <algorithm> 
using namespace std;

int main() 
{
	double a;
	double b;
	double c;

	cin >> a;
	cin >> b;
	cin >> c;

	double f = a;
	double g = b;
    double h = c;

	while (f >= 10)
	{
		f = f / 10;
	}
	while (g >= 10) 
	{
		g = g / 10;
	}

	while (h >= 10)
	{
		h = h / 10;
	}
	
	if (f <= g) {
		swap(a, b);
		swap(f, g);
	}
	if (f <= h) {
		swap(a, c);
		swap(f,h);
	}
	if (g <= h) {
		swap(b, c);
		swap(g,h);
	}

	cout<<a<<b<<c;
	
}